読者です 読者をやめる 読者になる 読者になる

harukazepc’s blog

インターネッツとAndroidなどが大好きです。あとは日々のことなど。

radrails on MacOSX

今、開発機をMacに移行中。で、railsまわりも構築中。
が、RadRailsでサーバ起動しようとすると(mongrel/webrick問わず)、Consoleにエラーが出るわけです。

./script/../config/boot.rb:18:in `require': No such file to load -- rubygems (LoadError)
	from ./script/../config/boot.rb:18
	from ./script/server:2:in `require'
	from ./script/server:2
	from -e:4:in `load'
	from -e:4

で、あちこちさまよいながら回答を求めていると、RadRail本家サイト内にて発見

解決方法は、

  1. window→preferences→Ruby→Installed Interpreters を開く
  2. Addで、InterpreterName:ruby/Location:/usr/local/bin/ruby(rubyへのパス)を追加
  3. その後、サーバ起動

でうまくいく様子です。

ついでに、mysql.sockも/tmp/mysql.sockに指定。

© harukazepc️